# Uses of Class
java.lang.ref.Cleaner

Packages that use Cleaner
Package
Description
java.lang.ref
Provides reference-object classes, which support a limited degree of interaction with the garbage collector.

## Uses of Cleaner in java.lang.ref

Methods in java.lang.ref that return Cleaner
Modifier and Type
Method
Description
`static Cleaner`
Cleaner.`create()`
Returns a new `Cleaner`.
`static Cleaner`
Cleaner.`create(ThreadFactory threadFactory)`
Returns a new `Cleaner` using a `Thread` from the `ThreadFactory`.